Bug 43957 - service.bat doesn't configure logging like the Windows installer
service.bat doesn't configure logging like the Windows installer
Status: CLOSED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Catalina
5.5.25
PC Windows XP
: P3 trivial (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-11-25 12:49 UTC by Richard Fearn
Modified: 2008-04-24 11:49 UTC (History)
0 users



Attachments
Patch for service.bat (in the container module) (808 bytes, patch)
2007-11-25 12:54 UTC, Richard Fearn
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Fearn 2007-11-25 12:49:59 UTC
If Tomcat is unpacked from the zip file and started manually, all the log files
specified in logging.properties are created - admin.DATE.log, catalina.DATE.log,
and so on.

If Tomcat is installed using the Windows Service Installer, and the service is
started, the log files are also created correctly.

However, if Tomcat is unpacked from the zip file and installed as a service
(using 'service install'), and the service is started, the log files aren't
created. This is due to two JVM options that aren't set up -
java.util.logging.manager and java.util.logging.config.file.

For consistency, service.bat should set these options, like the Windows
installer does. The attached patch fixes this.
Comment 1 Richard Fearn 2007-11-25 12:54:10 UTC
Created attachment 21186 [details]
Patch for service.bat (in the container module)
Comment 2 Mark Thomas 2007-11-27 15:01:31 UTC
Fixed in trunk and proposed for back port for 6.0.x and 5.5.x.

Many thanks for the patch.
Comment 3 Mark Thomas 2008-01-06 15:17:01 UTC
Fixed in 5.5.x and will be included in 5.5.26 onwards.
Comment 4 Richard Fearn 2008-04-23 13:26:22 UTC
I've tested this in Tomcat 5.5 and 6.0 and it works fine. Thanks for getting my patch into the tree. Who should close the bug? You or me?

Thanks.
Comment 5 Mark Thomas 2008-04-23 13:38:05 UTC
It's all yours ;)
Comment 6 Richard Fearn 2008-04-24 11:49:00 UTC
Thanks Mark.